﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Schedules;

namespace HighlightDayCriteriaXamDateNavigator
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ObservableCollection<Resource> resources =  new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "Amanda"};
            resources.Add(resAmanda);

            ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
            ResourceCalendar calAmanda = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1"
            };
            calendars.Add(calAmanda);

            ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();

            Appointment app1 = new Appointment()
            {
                Id = "t1",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 1",
                Description = "My first appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = new DateTime(2012,9,22).AddHours(9).AddMinutes(12),
                End = new DateTime(2012, 9, 22).AddHours(9).AddMinutes(42),
                IsTimeZoneNeutral = true
            };
            appointments.Add(app1);

            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 2",
                Description = "My second appointment",
                // Convert the date to universal time, because a time zone is not set
                // in this snippet    
                Start = new DateTime(2012, 9, 22).AddHours(9).AddMinutes(12),
                End = new DateTime(2012, 9, 22).AddHours(9).AddMinutes(12),
                IsTimeZoneNeutral = true
            };
            appointments.Add(app2);


            this.dataConnector.ResourceItemsSource = resources;
            this.dataConnector.ResourceCalendarItemsSource = calendars;
            this.dataConnector.AppointmentItemsSource = appointments;


        }

        
    }
}
